%define version	0.7.4
%define release	alt2

Summary: Really Slick Screensavers
Name: rss_glx
Version: %version
Release: %release
License: GNU GPL
Group: Graphical desktop/Other
Url: http://rss-glx.sourceforge.net/

Packager: Alexander Bokovoy <ab@altlinux.ru>

Source: %name-source-%version.tar.bz2
Source1: %name-textures-%version.tar.bz2
Source2: %name-sounds-%version.tar.bz2
Source3: %name.xss

Patch: %name-0.7.4-alt.patch
Patch1: %name-0.7.4-xext-alt.patch

# Automatically added by buildreq on   03 2003
# +xscreensaver-devel and libopenal-devel by raorn on Tue Apr 15 2003
BuildRequires: XFree86-devel XFree86-libs bzlib-devel gcc-c++ libGLU-devel libopenal-devel libstdc++-devel xscreensaver-devel

%description
The Really Slick Screensavers GLX port.
A collection of fancy OpenGL screensavers ported from Windows to X
for use with xscreensaver.

%package -n xscreensaver-hacks-%name
Summary: Really Slick Screensavers - xscreensaver modules
Group: Graphical desktop/Other
Requires: %name = %version-%release
Requires: xscreensaver >= 4.09-alt1
Provides: xscreensaver-hack

%description -n xscreensaver-hacks-%name
The Really Slick Screensavers GLX port.
A collection of fancy OpenGL screensavers ported from Windows to X
for use with xscreensaver.

This package contains xscreensaver modules configs.

%prep
%setup -q -a 1 -a 2
%patch -p1
%patch1 -p1

%build
./autogen.sh
%configure \
	--with-configdir=%xss_conf_dir
%make_build

%install
%__mkdir_p %buildroot%xss_ad_dir
%make_install DESTDIR=%buildroot install

%__install -m644 %SOURCE3 %buildroot%xss_ad_dir/%name.xss

%post -n xscreensaver-hacks-%name
%update_xscreensaver

%postun -n xscreensaver-hacks-%name
%clean_xscreensaver

%files
%doc COPYING INSTALL README
%_bindir/*
%_man1dir/*

%files -n xscreensaver-hacks-%name
%doc README.xscreensaver
%config %xss_ad_dir/%name.xss
%config %xss_conf_dir/*.xml

%changelog
* Tue Apr 15 2003 Sir Raorn <raorn@altlinux.ru> 0.7.4-alt2
- Rebuilt with new xscreensaver
- Split to rss_glx and xscreensaver-hacks-rss_glx

* Thu Apr 03 2003 Alexander Bokovoy <ab@altlinux.ru> 0.7.4-alt1
- Initial build for Sisyphus

